From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-dotnet/dotnet-sdk/
Date: Sat, 7 Dec 2024 03:42:32 +0000 (UTC) [thread overview]
Message-ID: <1733542950.ef85eedf0aa34fbc5f2bd8aa36c1433211b1524b.xgqt@gentoo> (raw)
commit: ef85eedf0aa34fbc5f2bd8aa36c1433211b1524b
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 6 23:19:18 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Dec 7 03:42:30 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef85eedf
dev-dotnet/dotnet-sdk: incorporate 9.0 tweaks into 8.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-dotnet/dotnet-sdk/dotnet-sdk-8.0.107-r2.ebuild | 25 ++++++++++++++++++----
1 file changed, 21 insertions(+), 4 deletions(-)
diff --git a/dev-dotnet/dotnet-sdk/dotnet-sdk-8.0.107-r2.ebuild b/dev-dotnet/dotnet-sdk/dotnet-sdk-8.0.107-r2.ebuild
index cbf2186a4e0f..1686abfd6443 100644
--- a/dev-dotnet/dotnet-sdk/dotnet-sdk-8.0.107-r2.ebuild
+++ b/dev-dotnet/dotnet-sdk/dotnet-sdk-8.0.107-r2.ebuild
@@ -92,10 +92,12 @@ IDEPEND="
"
CHECKREQS_DISK_BUILD="20G"
+CHECKREQS_DISK_USR="650M"
# Created by dotnet itself:
QA_PREBUILT="
-usr/lib.*/dotnet-sdk-.*/dotnet
+.*/dotnet
+.*/ilc
"
# .NET runtime, better to not touch it if they want some specific flags.
@@ -166,9 +168,14 @@ src_prepare() {
unset DOTNET_ROOT
unset NUGET_PACKAGES
+ unset CLR_ICU_VERSION_OVERRIDE
+ unset USER_CLR_ICU_VERSION_OVERRIDE
+
export DOTNET_CLI_TELEMETRY_OPTOUT="1"
+ export DOTNET_NUGET_SIGNATURE_VERIFICATION="false"
export DOTNET_SKIP_FIRST_TIME_EXPERIENCE="1"
export MSBUILDDISABLENODEREUSE="1"
+ export MSBUILDTERMINALLOGGER="off"
export UseSharedCompilation="false"
local dotnet_sdk_tmp_directory="${WORKDIR}/dotnet-sdk-tmp"
@@ -194,17 +201,24 @@ src_compile() {
ebegin "Building the .NET SDK ${SDK_SLOT}"
local -a buildopts=(
- --clean-while-building
+ # URLs, version specification, etc. ...
--source-repository "${source_repository}"
--source-version "${COMMIT}"
+ # How it should be built.
+ --clean-while-building
+
+ # Auxiliary options.
--
-maxCpuCount:"$(makeopts_jobs)"
- -verbosity:"${verbosity}"
+ -p:MaxCpuCount="$(makeopts_jobs)"
-p:ContinueOnPrebuiltBaselineError="true"
+
+ # Verbosity settings.
+ -verbosity:"${verbosity}"
-p:LogVerbosity="${verbosity}"
- -p:MinimalConsoleLogOutput="false"
-p:verbosity="${verbosity}"
+ -p:MinimalConsoleLogOutput="false"
)
bash ./build.sh "${buildopts[@]}"
eend ${?} || die "build failed"
@@ -220,6 +234,9 @@ src_install() {
fperms 0755 "${dest}"
dosym -r "${dest}/dotnet" "/usr/bin/dotnet-${SDK_SLOT}"
+
+ # Fix permissions again for what is already marked as executable.
+ find "${ED}" -type f -executable -exec chmod +x {} + || die
}
pkg_postinst() {
next reply other threads:[~2024-12-07 3:42 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-07 3:42 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-22 17:34 [gentoo-commits] repo/gentoo:master commit in: dev-dotnet/dotnet-sdk/ Arthur Zamarin
2025-01-14 17:07 Maciej Barć
2024-12-31 1:18 Maciej Barć
2024-12-16 23:26 Maciej Barć
2024-12-10 1:33 Maciej Barć
2024-12-10 1:33 Maciej Barć
2024-12-07 3:42 Maciej Barć
2024-12-06 1:08 Maciej Barć
2024-12-04 22:33 Maciej Barć
2024-12-04 22:33 Maciej Barć
2024-12-03 0:29 Maciej Barć
2024-09-04 8:09 Maciej Barć
2024-07-31 0:03 Maciej Barć
2024-05-17 0:32 Maciej Barć
2024-05-17 0:32 Maciej Barć
2024-05-10 17:22 Maciej Barć
2024-04-14 21:57 Maciej Barć
2024-04-11 4:55 Arthur Zamarin
2024-04-07 16:20 Maciej Barć
2024-03-11 4:49 Maciej Barć
2024-03-11 4:49 Maciej Barć
2024-03-11 4:49 Maciej Barć
2024-03-10 5:43 Sam James
2024-03-10 0:29 Maciej Barć
2024-02-02 23:06 Maciej Barć
2024-02-02 9:37 Maciej Barć
2024-02-01 13:22 Maciej Barć
2024-02-01 10:10 Maciej Barć
2023-12-17 21:45 Maciej Barć
2023-12-17 12:39 Sam James
2023-12-13 17:17 Maciej Barć
2023-12-08 0:29 Maciej Barć
2023-11-24 20:09 Maciej Barć
2023-11-18 1:31 Maciej Barć
2023-11-18 1:31 Maciej Barć
2023-09-25 20:36 Maciej Barć
2023-09-24 22:02 Maciej Barć
2023-09-24 4:02 Maciej Barć
2023-09-15 20:49 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733542950.ef85eedf0aa34fbc5f2bd8aa36c1433211b1524b.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox